Bug 244729 - Buildworld fails when installed world is built WITHOUT_LEGACY_CONSOLE
Summary: Buildworld fails when installed world is built WITHOUT_LEGACY_CONSOLE
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Glen Barber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-11 02:26 UTC by ktullavik
Modified: 2021-03-29 14:12 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ktullavik 2020-03-11 02:26:31 UTC
I built my system WITHOUT_LEGACY_CONSOLE about a week ago. Now, rebuilding world again on that system fails.
(On a side note, I see no indication of what's causing the error unless I build with -jN flag).


root@euler:/usr/src # uname -a
FreeBSD euler 13.0-CURRENT FreeBSD 13.0-CURRENT #0 r358556: Tue Mar  3 02:50:36 CET 2020     root@euler:/usr/obj/usr/src/amd64.amd64/sys/EULER  amd64


root@euler:/usr/src # make -j9 buildworld
--- buildworld ---
make[1]: "/usr/src/Makefile.inc1" line 323: SYSTEM_COMPILER: libclang will be built for bootstrapping a cross-compiler.
make[1]: "/usr/src/Makefile.inc1" line 328: SYSTEM_LINKER: libclang will be built for bootstrapping a cross-linker.
--- buildworld_prologue ---
--------------------------------------------------------------
>>> World build started on Wed Mar 11 02:13:27 CET 2020
--------------------------------------------------------------
--- _worldtmp ---

--------------------------------------------------------------
>>> Rebuilding the temporary build tree
--------------------------------------------------------------
rm -rf /usr/obj/usr/src/amd64.amd64/tmp
cd /usr/src/tools/build;  make DIRPRFX=tools/build/ DESTDIR=/usr/obj/usr/src/amd64.amd64/tmp/legacy installdirs
--- installdirs ---
mkdir -p /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/geom /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/private/zstd /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec
removing old non-symlink /usr/obj/usr/src/amd64.amd64/tmp/legacy/sbin
removing old non-symlink /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin
removing old non-symlink /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin
ln -sfn bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/sbin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/casper"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ufs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ffs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/fs/msdosfs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys/disk"
cd /usr/src/tools/build;  make DIRPRFX=tools/build/ DESTDIR=/usr/obj/usr/src/amd64.amd64/tmp/legacy host-symlinks
--- host-symlinks ---
Linking host tools into /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/basename -> /usr/bin/basename
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/bzip2 -> /usr/bin/bzip2
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/bunzip2 -> /usr/bin/bunzip2
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/chmod -> /bin/chmod
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/chown -> /usr/sbin/chown
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cmp -> /usr/bin/cmp
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/comm -> /usr/bin/comm
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cp -> /bin/cp
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/date -> /bin/date
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/dirname -> /usr/bin/dirname
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/echo -> /bin/echo
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/env -> /usr/bin/env
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/false -> /usr/bin/false
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/find -> /usr/bin/find
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/fmt -> /usr/bin/fmt
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/gzip -> /usr/bin/gzip
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/gunzip -> /usr/bin/gunzip
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/head -> /usr/bin/head
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/hostname -> /bin/hostname
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/id -> /usr/bin/id
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/ln -> /bin/ln
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/ls -> /bin/ls
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mkdir -> /bin/mkdir
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mv -> /bin/mv
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/nice -> /usr/bin/nice
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/patch -> /usr/bin/patch
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/rm -> /bin/rm
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/realpath -> /bin/realpath
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sh -> /bin/sh
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/sleep -> /bin/sleep
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/stat -> /usr/bin/stat
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/tee -> /usr/bin/tee
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/touch -> /usr/bin/touch
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/tr -> /usr/bin/tr
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/true -> /usr/bin/true
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/uname -> /usr/bin/uname
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/uniq -> /usr/bin/uniq
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/wc -> /usr/bin/wc
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/which -> /usr/bin/which
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/make -> /usr/bin/make
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/bmake -> /usr/bin/make
ln -sf /usr/libexec/flua /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec/flua
--- _legacy ---

--------------------------------------------------------------
>>> stage 1.1: legacy release compatibility shims
--------------------------------------------------------------
cd /usr/src; INSTALL="sh /usr/src/tools/install.sh"  TOOLS_PREFIX=/usr/obj/usr/src/amd64.amd64/tmp  PATH=/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec:/sbin:/bin:/usr/sbin:/usr/bin  WORLDTMP=/usr/obj/usr/src/amd64.amd64/tmp  MAKEFLAGS="-m /usr/src/tools/build/mk  -j 9 -J 15,16 -m /usr/src/share/mk" make  -f Makefile.inc1  DESTDIR=  OBJTOP='/usr/obj/usr/src/amd64.amd64/tmp/obj-tools'  OBJROOT='${OBJTOP}/'  MAKEOBJDIRPREFIX=  BOOTSTRAPPING=1300082  BWPHASE=legacy  SSP_CFLAGS=  MK_HTML=no NO_LINT=yes MK_MAN=no  -DNO_PIC MK_PROFILE=no -DNO_SHARED  -DNO_CPU_CFLAGS MK_WARNS=no MK_CTF=no  MK_CLANG_EXTRAS=no MK_CLANG_FULL=no  MK_LLDB=no MK_RETPOLINE=no MK_TESTS=no  MK_INCLUDES=yes MK_LLVM_TARGET_ALL=no legacy
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools...]
--- legacy ---
===> tools/build (obj,includes,all,install)
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools/tools/build...]
--- _SYSINCSINS ---
--- _CASPERINCINS ---
--- _UFSINCSINS ---
--- _FFSINCSINS ---
--- _MSDOSFSINCSINS ---
--- _DISKINCSINS ---
--- _SYSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/sys/nv.h /usr/src/sys/sys/cnv.h /usr/src/sys/sys/dnv.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/sys/
--- _CASPERINCINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/lib/libcasper/services/cap_fileargs/cap_fileargs.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/casper/
--- _UFSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/ufs/ufs/dinode.h /usr/src/sys/ufs/ufs/dir.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/ufs/ufs/
--- _FFSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/ufs/ffs/fs.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/ufs/ffs/
--- _MSDOSFSINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/fs/msdosfs/bootsect.h /usr/src/sys/fs/msdosfs/bpb.h /usr/src/sys/fs/msdosfs/denode.h /usr/src/sys/fs/msdosfs/direntry.h /usr/src/sys/fs/msdosfs/fat.h /usr/src/sys/fs/msdosfs/msdosfsmount.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/fs/msdosfs/
--- _DISKINCSINS ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444  /usr/src/sys/sys/disk/bsd.h /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/sys/disk/
--- dummy.o ---
cc  -O2 -pipe  -g -MD  -MF.depend.dummy.o -MTdummy.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/tools/build/dummy.c -o dummy.o
--- libegacy.a ---
building static egacy library
ar -crD libegacy.a `NM='nm' NMFLAGS=''  lorder dummy.o  | tsort -q` 
ranlib -D libegacy.a
--- _libinstall ---
--- installdirs ---
--- _libinstall ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444   libegacy.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/
--- installdirs ---
mkdir -p /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/lib/geom /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/casper /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include/private/zstd /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec
ln -sfn bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/sbin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin
ln -sfn ../bin /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/casper"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ufs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/ufs/ffs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/fs/msdosfs"
mkdir -p "/usr/obj/usr/src/amd64.amd64/tmp/legacy//usr/include/sys/disk"
===> lib/libnv (obj,includes,all,install)
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools/lib/libnv...]
--- cnvlist.o ---
--- dnvlist.o ---
--- msgio.o ---
--- nvlist.o ---
--- nvpair.o ---
--- cnvlist.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.cnvlist.o -MTcnvlist.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/cnvlist.c -o cnvlist.o
--- dnvlist.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.dnvlist.o -MTdnvlist.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/dnvlist.c -o dnvlist.o
--- msgio.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.msgio.o -MTmsgio.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/lib/libnv/msgio.c -o msgio.o
--- nvlist.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.nvlist.o -MTnvlist.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/nvlist.c -o nvlist.o
--- nvpair.o ---
cc  -O2 -pipe  -I/usr/src/lib/libnv -g -MD  -MF.depend.nvpair.o -MTnvpair.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/sys/contrib/libnv/nvpair.c -o nvpair.o
--- libnv.a ---
building static nv library
ar -crD libnv.a `NM='nm' NMFLAGS=''  lorder cnvlist.o dnvlist.o msgio.o nvlist.o nvpair.o  | tsort -q` 
ranlib -D libnv.a
--- _libinstall ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444   libnv.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/
===> usr.bin/lex/lib (obj,includes,all,install)
[Creating objdir /usr/obj/usr/src/amd64.amd64/tmp/obj-tools/usr.bin/lex/lib...]
--- libmain.o ---
--- libyywrap.o ---
--- libmain.o ---
cc  -O2 -pipe  -g -MD  -MF.depend.libmain.o -MTlibmain.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/contrib/flex/libmain.c -o libmain.o
--- libyywrap.o ---
cc  -O2 -pipe  -g -MD  -MF.depend.libyywrap.o -MTlibyywrap.o -std=gnu99 -Wno-format-zero-length  -Qunused-arguments   -I/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/include -c /usr/src/contrib/flex/libyywrap.c -o libyywrap.o
--- libln.a ---
building static ln library
ar -crD libln.a `NM='nm' NMFLAGS=''  lorder libmain.o libyywrap.o  | tsort -q` 
ranlib -D libln.a
--- _libinstall ---
sh /usr/src/tools/install.sh  -C -o root -g wheel -m 444   libln.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/
--- _installlinks ---
sh /usr/src/tools/install.sh -l h -o root -g wheel -m 444  /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libln.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libl.a
sh /usr/src/tools/install.sh -l h -o root -g wheel -m 444  /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libln.a /usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/lib/libfl.a
--- _bootstrap-tools ---

--------------------------------------------------------------
>>> stage 1.2: bootstrap tools
--------------------------------------------------------------
cd /usr/src; INSTALL="sh /usr/src/tools/install.sh"  TOOLS_PREFIX=/usr/obj/usr/src/amd64.amd64/tmp  PATH=/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/sbin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin:/usr/obj/usr/src/amd64.amd64/tmp/legacy/usr/libexec:/sbin:/bin:/usr/sbin:/usr/bin  WORLDTMP=/usr/obj/usr/src/amd64.amd64/tmp  MAKEFLAGS="-m /usr/src/tools/build/mk  -j 9 -J 15,16 -m /usr/src/share/mk" make  -f Makefile.inc1  DESTDIR=  OBJTOP='/usr/obj/usr/src/amd64.amd64/tmp/obj-tools'  OBJROOT='${OBJTOP}/'  MAKEOBJDIRPREFIX=  BOOTSTRAPPING=1300082  BWPHASE=bootstrap-tools  SSP_CFLAGS=  MK_HTML=no NO_LINT=yes MK_MAN=no  -DNO_PIC MK_PROFILE=no -DNO_SHARED  -DNO_CPU_CFLAGS MK_WARNS=no MK_CTF=no  MK_CLANG_EXTRAS=no MK_CLANG_FULL=no  MK_LLDB=no MK_RETPOLINE=no MK_TESTS=no  MK_INCLUDES=yes MK_LLVM_TARGET_ALL=no bootstrap-tools
--- _bootstrap-tools-link-m4 ---
--- _bootstrap-tools-link-lex ---
--- _bootstrap-tools-link-mtree ---
--- _bootstrap-tools-link-cat ---
--- _bootstrap-tools-link-crunchide ---
--- _bootstrap-tools-link-crunchgen ---
--- _bootstrap-tools-link-kbdcontrol ---
--- _bootstrap-tools-link-awk ---
--- _bootstrap-tools-link-cut ---
--- _bootstrap-tools-link-m4 ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/m4 -> /usr/bin/m4
--- _bootstrap-tools-link-lex ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/lex -> /usr/bin/lex
--- _bootstrap-tools-link-expr ---
--- _bootstrap-tools-link-gencat ---
--- _bootstrap-tools-link-kbdcontrol ---
*** [_bootstrap-tools-link-kbdcontrol] Error code 1

make[2]: stopped in /usr/src
--- _bootstrap-tools-link-cat ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cat -> /bin/cat
--- _bootstrap-tools-link-crunchgen ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/crunchgen -> /usr/bin/crunchgen
--- _bootstrap-tools-link-mtree ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/mtree -> /usr/sbin/mtree
--- _bootstrap-tools-link-crunchide ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/crunchide -> /usr/bin/crunchide
--- _bootstrap-tools-link-awk ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/awk -> /usr/bin/awk
--- _bootstrap-tools-link-cut ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/cut -> /usr/bin/cut
--- _bootstrap-tools-link-expr ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/expr -> /bin/expr
--- _bootstrap-tools-link-gencat ---
/usr/obj/usr/src/amd64.amd64/tmp/legacy/bin/gencat -> /usr/bin/gencat
1 error

make[2]: stopped in /usr/src
*** [_bootstrap-tools] Error code 2

make[1]: stopped in /usr/src
1 error

make[1]: stopped in /usr/src
*** [buildworld] Error code 2

make: stopped in /usr/src
1 error

make: stopped in /usr/src
Comment 1 js 2021-03-22 22:08:42 UTC
I just wasted more than a day of my life trying to upgrade from 12.2 to 13.0-RC3 because of this issue.  I broke and unbroke my system many times and built world like 10 times before I figured out which src.conf knob was causing this problem.

This is going to frustrate the hell out of many users trying to upgrade to 13.0 from source.  If WITHOUT_LEGACY_CONSOLE works just fine on 12, there is a reasonable expectation for it to work on 13.
Comment 2 Glen Barber freebsd_committer 2021-03-23 13:25:36 UTC
I am now trying to reproduce this failure case.  In the meantime, could you please provide the contents of your /etc/src.conf and /etc/make.conf?
Comment 3 Glen Barber freebsd_committer 2021-03-23 13:41:42 UTC
With WITHOUT_LEGACY_CONSOLE=1 in /etc/src.conf, I am unable to reproduce this build failure.
Comment 4 Ed Maste freebsd_committer 2021-03-23 13:44:09 UTC
(In reply to Glen Barber from comment #3)
I presume you need to have a system already installed WITHOUT_LEGACY_CONSOLE to reproduce this - i.e., these do not exist in /usr/sbin

kbdcontrol
kbdmap
moused
vidcontrol
Comment 5 Glen Barber freebsd_committer 2021-03-23 13:48:33 UTC
Confirmed.

root@releng1:/usr/src # make -s -j48 buildworld buildkernel ; echo ^G
make[1]: "/usr/src/Makefile.inc1" line 339: SYSTEM_COMPILER: Determined that CC=cc matches the source tree.  Not bootstrapping a cross-compiler.
make[1]: "/usr/src/Makefile.inc1" line 344: SYSTEM_LINKER: Determined that LD=ld matches the source tree.  Not bootstrapping a cross-linker.
--------------------------------------------------------------
>>> World build started on Tue Mar 23 13:47:59 UTC 2021
--------------------------------------------------------------

--------------------------------------------------------------
>>> Rebuilding the temporary build tree
--------------------------------------------------------------
Linking host tools into /usr/obj/usr/src/amd64.amd64/tmp/legacy/bin

--------------------------------------------------------------
>>> stage 1.1: legacy release compatibility shims
--------------------------------------------------------------
===> tools/build (obj,includes,all,install)

--------------------------------------------------------------
>>> stage 1.2: bootstrap tools
--------------------------------------------------------------
--- _bootstrap-tools-link-kbdcontrol ---

make[2]: stopped in /usr/src
--- _bootstrap-tools ---

make[1]: stopped in /usr/src
--- buildworld ---

make: stopped in /usr/src
Comment 6 Evgeniy Khramtsov 2021-03-23 14:16:40 UTC
See https://reviews.freebsd.org/D29200
Comment 7 Glen Barber freebsd_committer 2021-03-24 01:52:25 UTC
Committed as 50179c5ec7d09d7b02497caf95dca5d33f93bcd9.

Sorry for forgetting to reference the PR.
Comment 8 Evgeniy Khramtsov 2021-03-24 11:03:39 UTC
(In reply to Glen Barber from comment #7)

Sorry to post somewhat offtopic, but:

'Sponsored by: Rubicon Communications, LLC ("Netgate")' ? Commiting already reported, authored, and reviewed changes by someone and claiming that your employer sponsored this, along without mentioning the people who took their time reporting, investigating where things break, authoring, really?

And I no longer have this revision under my profile on Phabricator after you commandeered the revision. I like to keep track of what I've done for FreeBSD.

This was most likely an automated preset, but please, pay more attention to this next time.
Comment 9 Colin Percival freebsd_committer 2021-03-24 22:15:50 UTC
(In reply to Evgeniy Khramtsov from comment #8)

I think the "Sponsored by" is correct -- Netgate did sponsor Glen doing the commit.  Probably there should have been a "Submitted by" line though.

As for the review being commandeered in Phabricator -- that's something which Phabricator does automatically.  When FreeBSD started using Phabricator it was only used by committers so that probably made sense at the time; I'll inquire as to whether it's a default which can be changed (especially for reviews opened by non-committers, who will *always* have their work committed by someone else).
Comment 10 Evgeniy Khramtsov 2021-03-27 00:58:46 UTC
(In reply to Colin Percival from comment #9)

Ping. It's been days since the "MFC after 12 hours" commit, and the one-liner fix, in any way, still isn't in {stable,releng}.
Comment 11 Glen Barber freebsd_committer 2021-03-27 01:20:50 UTC
(In reply to Evgeniy Khramtsov from comment #10)
https://lists.freebsd.org/pipermail/freebsd-current/2021-March/079256.html